Create a user

​

Body·

required
application/json

User to be created

  • Connected labels IDs

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/user
curl https://test.boost.space/api/user \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "id": 42,
  "created": "2026-01-15T09:30:00Z",
  "createdUserId": 42,
  "updated": "2026-01-15T09:30:00Z",
  "updatedUserId": 42,
  "labels": [
    1
  ],
  "agentFace": {
    "profileName": "Sample profileName",
    "displayName": "Sample displayName",
    "faceColor": "#1f6feb",
    "faceSalt": 1,
    "faceImageUrl": "https://acme.boost.space"
  }
}'
{
  "id": 42,
  "created": "2026-01-15T09:30:00Z",
  "createdUserId": 42,
  "updated": "2026-01-15T09:30:00Z",
  "updatedUserId": 42,
  "labels": [
    1
  ],
  "agentFace": {
    "profileName": "Sample profileName",
    "displayName": "Sample displayName",
    "faceColor": "#1f6feb",
    "faceSalt": 1,
    "faceImageUrl": "https://acme.boost.space"
  }
}